Page MenuHomePhabricator

[X86][FP16] Add constrained FP support for scalar emulation
ClosedPublic

Authored by pengfei on Jun 17 2022, 10:09 PM.

Details

Diff Detail

Event Timeline

pengfei created this revision.Jun 17 2022, 10:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 17 2022, 10:09 PM
pengfei requested review of this revision.Jun 17 2022, 10:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 17 2022, 10:09 PM
RKSimon added inline comments.Jul 6 2022, 9:33 AM
llvm/test/CodeGen/X86/fp-strict-scalar-cmp-fp16.ll
8–47

probably worth adding nounwind to #0 to stop the cfi noise

RKSimon added inline comments.Jul 6 2022, 9:35 AM
llvm/lib/Target/X86/X86ISelLowering.cpp
660

worth keeping the f32/f64 setOperationAction calls separate?

pengfei updated this revision to Diff 442785.Jul 6 2022, 11:18 PM
pengfei marked 2 inline comments as done.

Address review comments. Thanks Simon!

llvm/lib/Target/X86/X86ISelLowering.cpp
660

Good point!

Ping. I hold for a while in case blocking the base patch been reverted. I think it's stable to go now.

skan accepted this revision.Jul 8 2022, 1:30 AM

LGTM

This revision is now accepted and ready to land.Jul 8 2022, 1:30 AM

LGTM - cheers

This revision was landed with ongoing or failed builds.Jul 8 2022, 5:33 AM
This revision was automatically updated to reflect the committed changes.